---
title: rattler-build upload
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](../index.md) upload

Upload a package

## Usage
```
rattler-build upload [OPTIONS] [PACKAGE_FILES]... <COMMAND>
```

## Subcommands
| Command | Description |
|---------|-------------|
| [`quetz`](quetz.md) | Upload to a Quetz server. Authentication is used from the keychain / auth-file |
| [`artifactory`](artifactory.md) | Options for uploading to an Artifactory channel |
| [`prefix`](prefix.md) | Options for uploading to a prefix.dev server. Authentication is used from the keychain / auth-file |
| [`anaconda`](anaconda.md) | Options for uploading to a Anaconda.org server |
| [`cloudsmith`](cloudsmith.md) | Options for uploading to a Cloudsmith repository. Authentication is used from the keychain / auth-file |
| [`s3`](s3.md) | Options for uploading to S3 |


## Arguments
- <a id="arg-PACKAGE_FILES" href="#arg-PACKAGE_FILES">`<PACKAGE_FILES>`</a>
:  The package file to upload
<br>May be provided more than once.

## Options
- <a id="arg---allow-insecure-host" href="#arg---allow-insecure-host">`--allow-insecure-host <ALLOW_INSECURE_HOST>`</a>
:  List of hosts for which SSL certificate verification should be skipped
<br>May be provided more than once.
